Module | Compass::SassExtensions::Functions::Lists
In: | lib/compass/sass_extensions/functions/lists.rb

### Methods

_compass_list _compass_list_size _compass_nth _compass_slice _compass_space_list assert_list blank compact first_value_of

### Public Instance methods

_compass_list(arg)

Returns a list object from a value that was passed. This can be used to unpack a space separated list that got turned into a string by sass before it was passed to a mixin.

_compass_list_size(list)

Returns the size of the list.

_compass_nth(list, place)

Get the nth value from a list

_compass_slice(list, start_index, end_index = nil)

slice a sublist from a list

_compass_space_list(list)

If the argument is a list, it will return a new list that is space delimited Otherwise it returns a new, single element, space-delimited list.

blank(obj)

Returns true when the object is false, an empty string, or an empty list

compact(*args)

Returns a new list after removing any non-true values

first_value_of(list)

returns the first value of a space delimited list.

### Protected Instance methods

assert_list(value)

[Validate]